/* import fontawesome */
@import '../fontawesome/css/fontawesome.min.css';
@import '../fontawesome/css/regular.min.css';
@import '../fontawesome/css/solid.min.css';

/* common styles */
textarea,
input,
select,
.sendmsg {
  font-family: Arial, sans-serif;
  font-size: 14px;
}

.contactusform {
  box-sizing: border-box;
  width: 600px;
  max-width: 100%;
  padding: 1.2rem;
  margin-left:20px;
  padding-top: 22px;
  padding-bottom: 1px;
}

/* style common rows/grid */
.contactusform .row {
  box-sizing: border-box;
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  margin-bottom: 1.3rem;
  width: 100%;
}

.contactusform .row .col-sm-4 {
  box-sizing: border-box;
  flex-grow:1;
  flex-basis: 0;
  margin: 0 .75rem;
  position: relative;
}
.contactusform .row .col-sm-4:first-child {
  margin-left: 0;
}
.contactusform .row .col-sm-4:last-child {
  margin-right: 0;
}
.contactusform .row .col-sm-8 {
  box-sizing: border-box;
  width: 100%;
  position: relative;
}

/* style common labels */
.contactusform .row .control-label {
  box-sizing: border-box;
  position: absolute;
  margin-top: 0.19rem;  height: 91.1%;
  padding: .63rem 1rem .5rem 1rem;
  color: grey;
  opacity: 0.7;

  width: 3rem;
  z-index: 2;
}

/* safari: margin-top for control, select & textarea label, padding-top for mailcopy, dataprotection, fileupload, securitycode & securityquestion icon - start */

body.safari .contactusform .row .control-label {
  margin-top: 0.27rem;
}
body.safari .contactusform .row .error .control-label {
  margin-top: 0.27rem;
}
body.safari .contactusform .row .select-label {
  margin-top: 0.27rem;
}
body.safari .contactusform .row .error .select-label {
  margin-top: 0.27rem;
}
body.safari .contactusform .row .textarea-label {
  margin-top: 0.20rem;
}

body.safari .contactusform .row .error .textarea-label {
  margin-top: 0.20rem;
}
body.safari .contactusform .row #mailcopy-icon {
  padding-top: 5px;
}
body.safari .contactusform .row #dataprotection-icon {
  padding-top: 4px;
}
body.safari .contactusform .row #fileupload-icon {
  padding-top: 4px;
}
body.safari .contactusform .row #securitycode-icon {
  margin-top: -5px;
}
body.safari .contactusform .row #securityquestion-icon {
  margin-top: -5px;
}

/* safari: margin-top for control, select & textarea label, padding-top for mailcopy, dataprotection, fileupload, securitycode & securityquestion icon - end */
#mailcopy-icon{
  padding-top: 9px;
}

#dataprotection-icon {
  padding-top: 9px;
}

#fileupload-icon {
  padding-top: 7px;
}

#securitycode-icon {
  padding-top: 0px;
}

#securityquestion-icon {
  padding-top: 0px;
}


/* Regulare icons - padding left for safari and other browsers */

body.safari #caret-down-icon {
  padding-left: 3.5px;
  padding-top: 1.5px;
}

body.safari #briefcase-icon {
  padding-left: 1.5px;
}

body.safari #user-icon {
  padding-left: 2.0px;
}

body.safari #user-icon-position-2 {
  padding-left: 2.0px;
  padding-top: 2px;
}

body.safari #email-icon {
  padding-left: 1.0px;
}

body.safari #email-icon-position-2 {
  padding-left: 1.0px;
  padding-top: 2px;
}

body.safari #phone-icon {
  padding-left: 0.5px;
}

body.safari #phone-icon-position-2 {
  padding-left: 0.5px;
  padding-top: 2px;
}

body.safari #home-icon {
  padding-left: 0.5px;
}

body.safari #home-icon-position-2 {
  padding-left: 0.5px;
  padding-top: 2px;
}

body.safari #subject-icon{
  padding-left: 1.5px;
}

body.safari #message-icon{
  padding-left: 0.5px;
}

#caret-down-icon{
  padding-left: 3px;
  padding-top: 1.5px;
}

#briefcase-icon{
  padding-left: 1px;
}

#user-icon{
  padding-left: 1.5px;
}

#user-icon-position-2{
  padding-left: 1.5px;
}

#email-icon{
  padding-left: 0.5px;
}

#email-icon-position-2{
  padding-left: 0.5px;
}

#phone-icon{
  padding-left: 0px;
}

#phone-icon-position-2{
  padding-left: 0px;
}

#home-icon{
  padding-left: 0px;
}

#home-icon-position-2{
  padding-left: 0px;
}

#subject-icon{
  padding-left: 1.0px;
}

#message-icon{
  padding-left: 0px;
}


/* style common fields */
.contactusform .row input,
.contactusform .row textarea {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
}
.contactusform .row .field {
  box-sizing: border-box;
  display: block;
  font-size: 14px;
  width: 100%;
  padding: .74rem .8rem .45rem 3.8rem;
  color: #555;

  border: 1px solid #CCC;
  border-radius: .25rem;

  -moz-border-radius: .25rem;
  -webkit-border-radius: .25rem;
  border-top: 1px solid #BDBDBD;
  border-left: 1px solid #BDBDBD;
  border-right: 1px solid #BDBDBD;
  border-bottom: 1px solid #BDBDBD; 
  box-shadow: 0 0 1px rgba(0,0,0, .4);

  transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
}

.contactusform .row .field:focus,
.contactusform .row input[type="checkbox"]:focus {
  box-sizing: border-box;
  border-color: #66afe9 !important;
  outline: 0 !important;
  box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075), 0 0 0.5rem rgba(102, 175, 233, 0.6) !important;
}

/* style active / inactive label */
.contactusform .row .not-empty-field .control-label i{
  color: #424242;
}

body.safari .contactusform .row .not-empty-field .control-label i{
  color: #424242 !important;
}


.contactusform .row .active-field .control-label i{
  color: #424242;
}


body.safari .contactusform .row .active-field .control-label i{
  color: #424242 !important;
}

/* style textarea */
.contactusform .row .textarea-label{
  margin-top:0.25rem;
  height: 97.1%;
  padding: 0.6rem 1rem 5.1rem 1rem;
}

.contactusform .row textarea {
  height: 1.7rem;
}

/* style selectbox */
.contactusform .row .select-label{
  height: 90.9%;
  padding: .63rem 1rem .5rem 1rem;
}

/* style input, select and textarea with border-right.png - start */
#border-right {
  background-image: url('../images/border-right.png');
  background-position: 2.85rem center;
  -webkit-text-size-adjust:none;
  background-repeat: no-repeat;
}
#border-right2 {
  background-image: url('../images/border-right.png');
  background-position: 2.85rem center;
  -webkit-text-size-adjust:none;
  background-repeat: no-repeat;
}
#border-right3 {
  background-image: url('../images/border-right.png');
  background-position: 2.85rem center;
  -webkit-text-size-adjust:none;
  background-repeat: no-repeat;
}
#border-right4 {
  background-image: url('../images/border-right.png');
  background-position: 2.85rem center;
  -webkit-text-size-adjust:none;
  background-repeat: no-repeat;
}
#border-right5 {
  background-image: url('../images/border-right.png');
  background-position: 2.85rem center;
  -webkit-text-size-adjust:none;
  background-repeat: no-repeat;
}
#border-right6 {
  background-image: url('../images/border-right.png');
  background-position: 2.85rem center;
  -webkit-text-size-adjust:none;
  background-repeat: no-repeat;
}
#border-right7 {
  background-image: url('../images/border-right.png');
  background-position: 2.85rem center;
  -webkit-text-size-adjust:none;
  background-repeat: no-repeat;
}
#border-right8 {
  background-image: url('../images/border-right.png');
  background-position: 2.85rem center;
  -webkit-text-size-adjust:none;
  background-repeat: no-repeat;
}
#border-right9 {
  background-image: url('../images/border-right.png');
  background-position: 2.85rem center;
  -webkit-text-size-adjust:none;
  background-repeat: no-repeat;
}
#border-right10 {
  background-image: url('../images/border-right.png');
  background-position: 2.85rem center;
  -webkit-text-size-adjust:none;
  background-repeat: no-repeat;
}
#border-right11 {
  background-image: url('../images/border-right.png');
  background-position: 2.85rem center;
  -webkit-text-size-adjust:none;
  background-repeat: no-repeat;
}
#border-right12 {
  background-image: url('../images/border-right.png');
  background-position: 2.85rem center;
  -webkit-text-size-adjust:none;
  background-repeat: no-repeat;
}
#border-right13 {
  background-image: url('../images/border-right.png');
  background-position: 2.85rem center;
  -webkit-text-size-adjust:none;
  background-repeat: no-repeat;
}
/* style input, select and textarea with border-right.png - end */

/* style rows with complex contents  */
.contactusform .captcha-row,
.contactusform .question-row,
.contactusform .checkbox-row,
.contactusform .upload-row {
  display: block;
  font-size: 14px;
  width: 100%;
  color: #555555;
  border: 1px solid #BDBDBD;
  border-radius: 4px;
  transition: border-color ease-in-out .15s;
  padding-right: 1rem;
  box-shadow: 0 0 1px rgba(0,0,0, .4);
}
.contactusform .captcha-row .control-label,
.contactusform .question-row .control-label,
.contactusform .upload-row .control-label,
.contactusform .checkbox-row .control-label{
  height: 100%;
  margin-top: 0;
}
.contactusform .captcha-row > div,
.contactusform .question-row > div,
.contactusform .checkbox-row > div{
  padding-bottom: .15rem;
}
.contactusform .captcha-row div div,
.contactusform .question-row div div{
  width: 100%;
  padding: .75rem 0 .75rem 60px;
}



/* style upload-fields  */
.contactusform .row input[type="file"] {
  width: calc(100% - 60px);
  height: 30px;
  margin: .2rem 0 .2rem 60px;
}
.contactusform .row .control-label + input[type="file"] {
  margin-top: .75rem;
}
.contactusform .row input[type="file"]:last-child {
  margin-bottom: .25rem;
}

/* style security-fields  */
.contactusform .captcha-row .field,
.contactusform .question-row .field {
  width: calc(100% - 60px);
  margin: .2rem 0 .2rem 60px;
  padding-left: .8rem;
}
.contactusform .row#answer .control-label {
  align-self: flex-start;
}

/* style checkbox-row  */
.contactusform .checkbox-row .checkbox-inline {
  display: block;
  padding: .7rem 0 .31rem 60px;
}

.contactusform .checkbox-row .checkbox-inline a:hover,
.contactusform .checkbox-row .checkbox-inline a:focus {
  color: #0025e2;
  text-decoration: underline;
}

.contactusform .checkbox-row .checkbox-inline a,
.contactusform .checkbox-row .checkbox-inline span {
  color: #0020c1;
  text-decoration: none;
  line-height: 24px;
  padding-left: 10px;
}
.contactusform .checkbox-row .checkbox-inline span{
  color: inherit;
}
.contactusform .row input[type="checkbox"] {
  height: 22px;
  width: 22px;
  border: 1px solid #CCC;
  border-radius: .25rem;
  transition: border-color ease-in-out .15s;
  display: block;
  float: left;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  cursor: pointer;
  margin-left: 0;

  -moz-border-radius: .25rem;
  -webkit-border-radius: .25rem;
  border-top: 1px solid #BDBDBD;
  border-left: 1px solid #BDBDBD;
  border-right: 1px solid #BDBDBD;
  border-bottom: 1px solid #BDBDBD; 
  box-shadow: 0 0 1px rgba(0,0,0, .4);
}
.contactusform .row input:checked {
  background: url(../images/check-solid.svg) no-repeat center center;
  background-size: 75%;
}

/* style submit-button  */
.contactusform .row .sendmsg {
  box-sizing: border-box;
  width: 100%;
  font-size: 16px;
  font-weight: bold;
  height: 2.5rem;
  margin-top: calc(1rem/16*5);
  padding: .5rem .75rem;
  color: white;
/*  background-color: #337ab7; */
  background-color: black;
  border: 1px solid transparent;
/*  border-color: #2e6da4; */
  border-color: grey;
  border-radius: 4px;
}

.contactusform .row .sendmsg:hover {
  background-color: #286090;
  border-color: #204d74;
  cursor: pointer;
}

/* style select-box for placeholders */
.contactusform .row select {
  background-color: #fff;
}

.contactusform .row ::placeholder{
  color: grey;
  opacity: 0.7;
}
                
.contactusform .row select.unselected{
  color: #A6A6A6;

  border: 1px solid #CCC;
  border-radius: .25rem;
  -moz-border-radius: .25rem;
  -webkit-border-radius: .25rem;
  border-top: 1px solid #BDBDBD;
  border-left: 1px solid #BDBDBD;
  border-right: 1px solid #BDBDBD;
  border-bottom: 1px solid #BDBDBD; 
  box-shadow: 0 0 1px rgba(0,0,0, .4);

  transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
}


.contactusform .row select.field{
  -moz-appearance: none;
  -webkit-appearance: none;
  appearance: none;
  z-index: 1;
}
.contactusform .row select.field option[value=""][disabled] {
  display: none;
}
.contactusform .row select.field option {
  color: #555555;
}
.contactusform .row select.field option[value=""] {
  color: rgba(0,0,0,0.4);
}


/* style errors */
.contactusform .row .error .select-label {
  height: 66%;
  padding: .63rem 1rem .5rem 1rem;
  color: #db0007;
  border-color: #db0007;
}

.contactusform .row .error .control-label {
  color: #db0007;
  border-color: #db0007;
  margin-top: 0.19rem;
  height: 65.1%;
  padding: .63rem 1rem .5rem 1rem;
}

.contactusform .row .error .textarea-label {
  color: #db0007;
  border-color: #db0007;
  height: 84.6%;
  margin-top:0.25rem;
  padding: 0.6rem 1rem 5.1rem 1rem;
}

.contactusform .row .error .field,
.contactusform .row .error .checkbox-inline input,
.contactusform.contactusform-validate .row .field:invalid,
.contactusform.contactusform-validate .row .checkbox-inline input:invalid {  /* style invalid fields only if user wants to send the form (integrated via js) */
  background-color: #ffeaec;
  border-color: #eac0c5;
}
.contactusform .row .field:invalid,
.contactusform .row .checkbox-inline input:invalid {       /* remove browser-style for invalid fields */
  outline: none;
  box-shadow:none;
}
.contactusform .row .field:focus:valid,
.contactusform .row .checkbox-inline input:focus:valid {
  background-color: #FFFFFF;
  border-color: #d9e8d5;
  outline: none;
  box-shadow:none;
}
.contactusform .row .error ::placeholder {
  color: rgba(219, 0, 7, 0.6);
}

.contactusform .row .error select.unselected {
  color: rgba(219, 0, 7, 0.4);
}

.contactusform .row .errormsg {
  color: #db0007;
  font-size: .75rem;
}
.contactusform .captcha-row.error_container,
.contactusform .question-row.error_container,
.contactusform .checkbox-row.error_container {
  margin-bottom: 2.7rem;
}
.contactusform .captcha-row .errormsg,
.contactusform .question-row .errormsg{
  display: block;
  position: absolute;
  left: 0;
  bottom: -46px;
  height: 40px;
}
.contactusform .checkbox-row .errormsg{
  display: block;
  position: absolute;
  left: 0;
  bottom: -46px;
  height: 40px;
}

.contactusform .captcha-row.error_container .control-label,
.contactusform .question-row.error_container .control-label,
.contactusform .upload-row.error_container .control-label,
.contactusform .checkbox-row.error_container .control-label {
  height: 100%;
  margin-top: 0;
}

/* style for mobile */
@media (max-width: 655px) {
                
.contactusform {
  padding: 1px 1rem 1px 1rem;
  /* box-shadow: none; */
  margin-left:15px;
  margin-top:0px;
  margin-right:15px;
  width: auto;
}
.contactusform .row {
  display: block;
  margin-top: 1rem;
}
.contactusform .row .col-sm-4 {
  flex-grow:0;
  flex-basis: 0;
  margin: 0;
}
.contactusform .row .col-sm-4,
.contactusform .row .col-sm-8 {
  margin-top: 1.5rem;
}

.contactusform .captcha-row .col-sm-8,
.contactusform .question-row .col-sm-8,
.contactusform .upload-row .col-sm-8,
.contactusform .checkbox-row .col-sm-8 {
  margin-top: 0;
}

.contactusform .row .control-label {
  margin-top: 0.16rem;
}
.contactusform .row .error .control-label {
  margin-top: 0.16rem;
}
.contactusform .row .textarea-label {
  margin-top:0.21rem;
}
.contactusform .row .error .textarea-label {
  margin-top:0.21rem;
}

#mailcopy-icon{
  padding-top: 6px;
}

#dataprotection-icon{
  padding-top: 7px;
}

#fileupload-icon{
  padding-top: 4px;
}

#securitycode-icon{
  padding-top: 0px;
}

#securityquestion-icon{
  padding-top: 0px;
}

/* safari iOS: margin-top for control & select label, padding-top for mailcopy & dataprotection icon - start */
body.safari .contactusform .row .control-label {
  margin-top: 0.19rem;
}

body.safari .contactusform .row .error .control-label {
  margin-top: 0.19rem;
}

body.safari .contactusform .row .select-label {
  margin-top: 0.15rem;
}

body.safari .contactusform .row .error .select-label {
  margin-top: 0.15rem;
}

body.safari .contactusform .row #mailcopy-icon {
  padding-top: 6px;
}
body.safari .contactusform .row #dataprotection-icon {
  padding-top: 5px;
}

body.safari #phone-icon-position-2{
  padding-left: 0.5px;
  padding-top: 0px;
}
body.safari #home-icon-position-2{
  padding-left: 0.5px;
  padding-top: 0px;
}

body.safari #user-icon-position-2{
  padding-left: 2.0px;
  padding-top: 0px;
}

body.safari #email-icon-position-2{
  padding-left: 1.0px;
  padding-top: 2px;
}
/* safari iOS: margin-top for control & select label, padding-top for mailcopy & dataprotection icon - end */
}

